<?php

/*---------------------------------------------------+

| PHP-Fusion 6 Content Management System

+----------------------------------------------------+

| Copyright  2002 - 2005 Nick Jones

| http://www.php-fusion.co.uk/

+----------------------------------------------------+

| Released under the terms & conditions of v2 of the

| GNU General Public License. For details refer to

| the included gpl.txt file or visit http://gnu.org

+----------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location:../../index.php"); exit; }



if (file_exists(INFUSIONS."member_pages/locale/".$settings['locale'].".php")) {

	include INFUSIONS."member_pages/locale/".$settings['locale'].".php";

} else {

	include INFUSIONS."member_pages/locale/English.php";

}



// Infusion Information

$inf_title = "Fusion Community";

$inf_description = $locale['MPPS101'];

$inf_version = "0.1";

$inf_developer = "Fetloser/Domi (and a lot of code ripping from Digi";

$inf_email = "bigbadaliens@outerspace.org";

$inf_weburl = "http://www.phpfusion.se";



$inf_folder = "member_pages";

$inf_admin_image = "infusion_panel.gif";

$inf_admin_panel = "Administration/admin.php";



$inf_link_name = "Member sites";

$inf_link_url = "membersites.php";

$inf_link_visibility = "0";



$inf_newtables = 19;
$inf_insertdbrows = 1;

$inf_altertables = 0;

$inf_deldbrows = 0;



$inf_newtable_[1] = "memberpages (

memberpages_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,

memberpages_subject VARCHAR(200) NOT NULL DEFAULT '',

memberpages_content text NOT NULL,

memberpages_format VARCHAR(5) NOT NULL DEFAULT 'plain',

memberpages_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',

memberpages_category VARCHAR(50) NOT NULL DEFAULT '',

memberpages_name VARCHAR(50) NOT NULL DEFAULT '',

memberpages_month VARCHAR(50) NOT NULL DEFAULT '0',

memberpages_day VARCHAR(50) NOT NULL DEFAULT '',

PRIMARY KEY (memberpages_id)

) TYPE=MyISAM;";





$inf_newtable_[2] = "blog (

	`news_id` SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,

	`news_subject` VARCHAR(200) NOT NULL DEFAULT '',

	`news_news` TEXT NOT NULL,

	`news_name2` VARCHAR(50) NOT NULL DEFAULT '',

	`news_breaks` CHAR(1) NOT NULL DEFAULT '',

	`news_name` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '1',

	`news_datestamp` INT(10) UNSIGNED NOT NULL DEFAULT '0',

	`news_start` INT(10) UNSIGNED NOT NULL DEFAULT '0',

	`news_end` INT(10) UNSIGNED NOT NULL DEFAULT '0',

	`news_visibility` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',

	`news_reads` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',

	`news_allow_comments` TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',

	`news_allow_ratings` TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',

	PRIMARY KEY (`news_id`)

	   ) TYPE=MyISAM;";





$inf_newtable_[3] = "blog_r (

	`rating_id` SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,

	`rating_item_id` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',

	`rating_type` CHAR(1) NOT NULL DEFAULT '',

	`rating_user` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',

	`rating_vote` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',

	`rating_datestamp` INT(10) UNSIGNED NOT NULL DEFAULT '0',

	`rating_ip` VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',

	PRIMARY KEY (`rating_id`)

	  ) TYPE=MyISAM;";



$inf_newtable_[4] = "blog_c (

	`comment_id` SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,

	`comment_item_id` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',

	`comment_type` CHAR(1) NOT NULL DEFAULT '',

	`comment_name` VARCHAR(50) NOT NULL DEFAULT '',

	`comment_message` TEXT NOT NULL,

	`comment_smileys` tinyint(1) unsigned NOT NULL default '1',

	`comment_datestamp` INT(10) UNSIGNED NOT NULL DEFAULT '0',

	`comment_ip` VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',

	PRIMARY KEY (`comment_id`)

	  ) TYPE=MyISAM;";

$inf_newtable_[5] = "memberpp_gb (
  `gb_id` smallint(5) unsigned NOT NULL auto_increment,
  `gb_item_id` smallint(5) unsigned NOT NULL default '0',
  `gb_type` char(40) NOT NULL default '',
  `gb_name` varchar(50) NOT NULL default '',
  `gb_message` text NOT NULL,
  `gb_datestamp` int(10) unsigned NOT NULL default '0',
  `gb_ip` varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`gb_id`)
  ) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_newtable_[6] = "memberpp_kalender (
	id int(11) NOT NULL auto_increment,
	user_id int(11) NOT NULL default '0',
	title varchar(255) NOT NULL default '',
	text text NOT NULL,
	tag char(2) NOT NULL default '',
	monat char(2) NOT NULL default '',
	jahr varchar(4) NOT NULL default '',
	tagend char(2) NOT NULL default '',
	monatend char(2) NOT NULL default '',
	jahrend varchar(4) NOT NULL default '',
	stunden char(2) NOT NULL default '',
	minuten char(2) NOT NULL default '',
	stundenend char(2) NOT NULL default '',
	minutenend char(2) NOT NULL default '',
	datestamp int(10) NOT NULL default '0',
	year char(1) NOT NULL default 'N',
	privat char(1) NOT NULL default 'N',
	cat_access char(4) NOT NULL default '0',
	PRIMARY KEY  (id)
	) TYPE=MyISAM;";

$inf_newtable_[7] = "memberpp_links (
	`memberpp_links_id` smallint(6) unsigned NOT NULL auto_increment,
       	`memberpp_links_ch` varchar(180) NOT NULL default '',
	`memberpp_links_dcp` varchar(150) NOT NULL default '',
	`memberpp_links_user_id` varchar(10) NOT NULL default '',
	`memberpp_links_extra` varchar(150) NOT NULL default '',
	`memberpp_links_name` varchar(150) NOT NULL default '',
	 PRIMARY KEY (`memberpp_links_id`)
    ) TYPE=MyISAM;";


$inf_newtable_[8] = "memberpp_forums (
	forum_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	forum_cat SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	forum_name VARCHAR(100) NOT NULL DEFAULT '',
	forum_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	forum_description TEXT NOT NULL,
	forum_moderators TEXT NOT NULL,
	forum_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	forum_posting TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	forum_lastpost INT(10) UNSIGNED NOT NULL DEFAULT '0',
	forum_lastuser SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (forum_id)
	) TYPE=MyISAM;";

$inf_newtable_[9] = "memberpp_forum_attachments (
	attach_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	thread_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	post_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	attach_name VARCHAR(100) NOT NULL DEFAULT '',
	attach_ext VARCHAR(5) NOT NULL DEFAULT '',
	attach_size INT(20) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (attach_id)
	) TYPE=MyISAM;";


$inf_newtable_[10] = "memberpp_threads (
	forum_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	thread_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	thread_subject VARCHAR(100) NOT NULL DEFAULT '',
	thread_author SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	thread_views SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	thread_lastpost INT(10) UNSIGNED NOT NULL DEFAULT '0',
	thread_lastuser SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	thread_sticky TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	thread_locked TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (thread_id)
	) TYPE=MyISAM;";

$inf_newtable_[11] = "memberpp_posts (
	forum_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	thread_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	post_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	post_subject VARCHAR(100) NOT NULL DEFAULT '',
	post_message TEXT NOT NULL,
	post_showsig TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	post_smileys TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
	post_author SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	post_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	post_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
	post_edituser SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	post_edittime INT(10) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (post_id)
	) TYPE=MyISAM;";


$inf_newtable_[12] = "memberpp_photo_albums (	
	album_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	album_title VARCHAR(100) NOT NULL DEFAULT '',
	album_info VARCHAR(200) DEFAULT '',
	album_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	album_user_id VARCHAR(10) DEFAULT '',
	album_user_name VARCHAR(50) DEFAULT '',
	PRIMARY KEY (album_id)
  ) TYPE=MyISAM;";
	
	
				
$inf_newtable_[13] = "memberpp_photos (
	
	photo_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	album_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	photo_title VARCHAR(100) NOT NULL DEFAULT '',
	photo_date INT(10) UNSIGNED NOT NULL DEFAULT '0',
	user_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	photo_views SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	photo_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (photo_id)
	  ) TYPE=MyISAM;";

$inf_newtable_[14] = "memberpp_ratings (
	rating_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	rating_item_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	rating_type CHAR(1) NOT NULL DEFAULT '',
	rating_user VARCHAR(100) NOT NULL DEFAULT '',
	rating_vote TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	rating_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	rating_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
	PRIMARY KEY (`rating_id`)
	) TYPE=MyISAM;";

$inf_newtable_[15] = "memberpp_settings (	
	settings_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	settings_mysite  VARCHAR(10) DEFAULT 'yes',
	settings_photoalbum  VARCHAR(10) DEFAULT '',
	settings_blog  VARCHAR(10) DEFAULT '',
	settings_forum VARCHAR(10) DEFAULT '',
	settings_links VARCHAR(10) DEFAULT '',
	settings_gb VARCHAR(10) DEFAULT '',
	settings_friends VARCHAR(10) DEFAULT '',
	PRIMARY KEY (settings_id)
  ) TYPE=MyISAM;";


$inf_newtable_[16] = "memberpp_shoutbox (	
	shout_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	shout_name VARCHAR(50) NOT NULL DEFAULT '',
	shout_message VARCHAR(200) NOT NULL DEFAULT '',
	shout_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	shout_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
	PRIMARY KEY (shout_id)
	) TYPE=MyISAM;";
	
$inf_newtable_[17] = "memberpp_photo_comments (
  `comment_id` smallint(5) unsigned NOT NULL auto_increment,
  `comment_item_id` smallint(5) unsigned NOT NULL default '0',
  `comment_type` char(40) NOT NULL default '',
  `comment_name` varchar(50) NOT NULL default '',
  `comment_message` text NOT NULL,
  `comment_datestamp` int(10) unsigned NOT NULL default '0',
  `comment_ip` varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`comment_id`)
  ) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_newtable_[18] = "memberpp_friends (
			user_id SMALLINT(15) UNSIGNED NOT NULL DEFAULT '0',
			friend_id SMALLINT(15) UNSIGNED NOT NULL DEFAULT '0',
			PRIMARY KEY (user_id,friend_id)
			) TYPE=MyISAM;";


$inf_newtable_[19] = "memberpp_site_settings (	
		`site` VARCHAR(1) NOT NULL DEFAULT '1',
          `photoalbum` VARCHAR(1) NOT NULL DEFAULT '1',
		`blogg` VARCHAR(1) NOT NULL DEFAULT '1',
		`gbok` VARCHAR(1) NOT NULL DEFAULT '1',
		`forum` VARCHAR(1) NOT NULL DEFAULT '1',
		`friends` VARCHAR(1) NOT NULL DEFAULT '1',
		`links` VARCHAR(1) NOT NULL DEFAULT '1',
		`spare` VARCHAR(1) NOT NULL DEFAULT '1'
	) TYPE=MyISAM;";
$inf_insertdbrow_[1] = "memberpp_site_settings VALUES ('1', '1', '1', '1', '1', '1', '1', '1')";


$inf_droptable_[1] = "memberpages";

$inf_droptable_[2] = "blog";

$inf_droptable_[3] = "blog_r";

$inf_droptable_[4] = "blog_c";

$inf_droptable_[5] = "memberpp_gb";
$inf_droptable_[6] = "memberpp_kalender";
$inf_droptable_[7] = "memberpp_links";

$inf_droptable_[8] = "memberpp_forums";
$inf_droptable_[9] = "memberpp_forum_attachments";
$inf_droptable_[10] = "memberpp_threads";
$inf_droptable_[11] = "memberpp_posts";
$inf_droptable_[12] = "memberpp_photo_albums";
$inf_droptable_[13] = "memberpp_photos";
$inf_droptable_[14] = "memberpp_ratings";
$inf_droptable_[15] = "memberpp_settings";
$inf_droptable_[16] = "memberpp_shoutbox";
$inf_droptable_[17] = "memberpp_photo_comments";
$inf_droptable_[18] = "memberpp_friends";
$inf_droptable_[19] = "memberpp_site_settings";
?>